> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Stations

Search for available intermodal gateways and terminals by name or code.


## OpenAPI

````yaml GET /api/public/stations
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/public/stations:
    get:
      tags:
        - Public APIs
      summary: Search Stations
      operationId: get-public-stations
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of stations matching the query.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    value:
                      type: string
                    label:
                      type: string
                    primary:
                      type: string
                    secondary:
                      type: string
                    type:
                      type: string
                    code:
                      type: string
                    coords:
                      type: object
                      properties:
                        lat:
                          type: number
                        lng:
                          type: number
              examples:
                success:
                  value:
                    - value: gateway_VCE
                      label: Venice Gateway
                      primary: Venice
                      secondary: Gateway
                      type: gateway
                      code: VCE
                      coords:
                        lat: 45.44
                        lng: 12.31

````